#ifndef __GNOME_MESSAGE_DEFS__
#define __GNOME_MESSAGE_DEFS__

#include <config.h>
#include <gnome.h>

#define MAX_STRING_LENGTH 1024
#define INITIAL_PIPE_BUFFER_LENGTH 1024
#define READ_TIMEOUT 100

#define P_BUTTONS		100
#define P_DEFAULTS		101
#define P_FILE			102
#define P_PRINT			103
#define P_FOLLOW		104
#define P_CENTER		105
#define P_NEARMOUSE		106
#define P_GEOMETRY		107
#define P_TIMEOUT		108
#define P_VERSION		109
#define P_NO_HSCROLLBAR		110
#define P_NO_VSCROLLBAR		111
#define P_WINTITLE		112
#define P_NOBUTTONS		113
#define P_ALIGN_BUTTONS		114

#define SB_NO 0
#define SB_LEFT 1
#define SB_RIGHT 2
#define SB_CENTER 3

typedef struct {
	GString			*message;
	GArray			*value;
	GPtrArray		*label;
	GPtrArray		*number;
	GString			*filename;
	gboolean		print;
	gboolean		follow;
	GString			*default_label;
	gint			clicked_button;
	GtkWindowPosition	win_position;
	GString			*geometry;
	gint			timeout;
	GtkWidget		*msgbox;
	GtkWidget		*msgtable;
	gboolean		h_scrollbar;
	gboolean		v_scrollbar;
	gboolean		nobuttons;
	GString			*wintitle;
	gint			align_buttons;
	gint			fh;
	gint			sock;
} OPTIONS;

#endif
